com.io7m.smfj.format.binary.v1

## Class SMFBv1_0HeaderByteBuffered

- java.lang.Object
- - com.io7m.smfj.format.binary.v1.SMFBv1_0HeaderByteBuffered

- All Implemented Interfaces:
    com.io7m.jpra.runtime.java.JPRAValueType, SMFBv1_0HeaderReadableType, SMFBv1_0HeaderType, SMFBv1_0HeaderWritableType

      public final class SMFBv1_0HeaderByteBuffered
      extends Object
      implements SMFBv1_0HeaderType

  A `ByteBuffer` based implementation of the `SMFBv1_0Header` record type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAttributeCount()`
    `SMFBv1CoordinateSystemsReadableType` | `getCoordinateSystemReadable()`
    `SMFBv1CoordinateSystemsType` | `getCoordinateSystemWritable()`
    `int` | `getFieldsSize()`
    `SMFBv1SchemaIDReadableType` | `getSchemaReadable()`
    `SMFBv1SchemaIDType` | `getSchemaWritable()`
    `long` | `getTriangleCount()`
    `int` | `getTriangleIndexSizeBits()`
    `long` | `getVertexCount()`
    `int` | `metaAttributeCountOffsetFromCursor()`
    `int` | `metaAttributeCountOffsetFromType()`
    `static int` | `metaAttributeCountStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaAttributeCountType()`
    `int` | `metaCoordinateSystemOffsetFromCursor()`
    `int` | `metaCoordinateSystemOffsetFromType()`
    `static int` | `metaCoordinateSystemStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined` | `metaCoordinateSystemType()`
    `int` | `metaFieldsSizeOffsetFromCursor()`
    `int` | `metaFieldsSizeOffsetFromType()`
    `static int` | `metaFieldsSizeStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaFieldsSizeType()`
    `int` | `metaSchemaOffsetFromCursor()`
    `int` | `metaSchemaOffsetFromType()`
    `static int` | `metaSchemaStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined` | `metaSchemaType()`
    `int` | `metaTriangleCountOffsetFromCursor()`
    `int` | `metaTriangleCountOffsetFromType()`
    `static int` | `metaTriangleCountStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaTriangleCountType()`
    `int` | `metaTriangleIndexSizeBitsOffsetFromCursor()`
    `int` | `metaTriangleIndexSizeBitsOffsetFromType()`
    `static int` | `metaTriangleIndexSizeBitsStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaTriangleIndexSizeBitsType()`
    `int` | `metaVertexCountOffsetFromCursor()`
    `int` | `metaVertexCountOffsetFromType()`
    `static int` | `metaVertexCountStaticOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaVertexCountType()`
    `static SMFBv1_0HeaderType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static SMFBv1_0HeaderType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `setAttributeCount(int x)` Set the value of the `attribute_count` field
    `void` | `setFieldsSize(int x)` Set the value of the `fields_size` field
    `void` | `setTriangleCount(long x)` Set the value of the `triangle_count` field
    `void` | `setTriangleIndexSizeBits(int x)` Set the value of the `triangle_index_size_bits` field
    `void` | `setVertexCount(long x)` Set the value of the `vertex_count` field
    `static int` | `sizeInOctets()`
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static SMFBv1_0HeaderType newValueWithOffset(ByteBuffer in_buffer,
                                                              com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                              int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static SMFBv1_0HeaderType newValue(ByteBuffer in_buffer,
                                                    com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### sizeInOctets

          public static int sizeInOctets()

      Returns:
        The size of the type in octets

    - #### metaFieldsSizeOffsetFromType

          public int metaFieldsSizeOffsetFromType()

      Specified by:
        `metaFieldsSizeOffsetFromType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `fields_size` field, from the start of the type

    - #### metaFieldsSizeStaticOffsetFromType

          public static int metaFieldsSizeStaticOffsetFromType()

      Returns:
        The offset in octets of field `fields_size` from the start of the type

    - #### metaFieldsSizeOffsetFromCursor

          public int metaFieldsSizeOffsetFromCursor()

      Specified by:
        `metaFieldsSizeOffsetFromCursor` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `fields_size` field, from the cursor

    - #### metaFieldsSizeType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaFieldsSizeType()

      Specified by:
        `metaFieldsSizeType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The type of the `fields_size` field

    - #### getFieldsSize

          public int getFieldsSize()

      Specified by:
        `getFieldsSize` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The value of the `fields_size` field

    - #### setFieldsSize

          public void setFieldsSize(int x)

      Description copied from interface: `SMFBv1_0HeaderWritableType`
      Set the value of the `fields_size` field
      Specified by:
        `setFieldsSize` in interface `SMFBv1_0HeaderWritableType`
      Parameters:
        `x` - The new value

    - #### metaSchemaOffsetFromType

          public int metaSchemaOffsetFromType()

      Specified by:
        `metaSchemaOffsetFromType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `schema` field, from the start of the type

    - #### metaSchemaStaticOffsetFromType

          public static int metaSchemaStaticOffsetFromType()

      Returns:
        The offset in octets of field `schema` from the start of the type

    - #### metaSchemaOffsetFromCursor

          public int metaSchemaOffsetFromCursor()

      Specified by:
        `metaSchemaOffsetFromCursor` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `schema` field, from the cursor

    - #### metaSchemaType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined metaSchemaType()

      Specified by:
        `metaSchemaType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The type of the `schema` field

    - #### getSchemaReadable

          public SMFBv1SchemaIDReadableType getSchemaReadable()

      Specified by:
        `getSchemaReadable` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        Read-only access to the `schema` field

    - #### getSchemaWritable

          public SMFBv1SchemaIDType getSchemaWritable()

      Specified by:
        `getSchemaWritable` in interface `SMFBv1_0HeaderWritableType`
      Returns:
        Writable access to the `schema` field

    - #### metaVertexCountOffsetFromType

          public int metaVertexCountOffsetFromType()

      Specified by:
        `metaVertexCountOffsetFromType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `vertex_count` field, from the start of the type

    - #### metaVertexCountStaticOffsetFromType

          public static int metaVertexCountStaticOffsetFromType()

      Returns:
        The offset in octets of field `vertex_count` from the start of the type

    - #### metaVertexCountOffsetFromCursor

          public int metaVertexCountOffsetFromCursor()

      Specified by:
        `metaVertexCountOffsetFromCursor` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `vertex_count` field, from the cursor

    - #### metaVertexCountType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaVertexCountType()

      Specified by:
        `metaVertexCountType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The type of the `vertex_count` field

    - #### getVertexCount

          public long getVertexCount()

      Specified by:
        `getVertexCount` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The value of the `vertex_count` field

    - #### setVertexCount

          public void setVertexCount(long x)

      Description copied from interface: `SMFBv1_0HeaderWritableType`
      Set the value of the `vertex_count` field
      Specified by:
        `setVertexCount` in interface `SMFBv1_0HeaderWritableType`
      Parameters:
        `x` - The new value

    - #### metaTriangleCountOffsetFromType

          public int metaTriangleCountOffsetFromType()

      Specified by:
        `metaTriangleCountOffsetFromType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `triangle_count` field, from the start of the type

    - #### metaTriangleCountStaticOffsetFromType

          public static int metaTriangleCountStaticOffsetFromType()

      Returns:
        The offset in octets of field `triangle_count` from the start of the type

    - #### metaTriangleCountOffsetFromCursor

          public int metaTriangleCountOffsetFromCursor()

      Specified by:
        `metaTriangleCountOffsetFromCursor` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `triangle_count` field, from the cursor

    - #### metaTriangleCountType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaTriangleCountType()

      Specified by:
        `metaTriangleCountType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The type of the `triangle_count` field

    - #### getTriangleCount

          public long getTriangleCount()

      Specified by:
        `getTriangleCount` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The value of the `triangle_count` field

    - #### setTriangleCount

          public void setTriangleCount(long x)

      Description copied from interface: `SMFBv1_0HeaderWritableType`
      Set the value of the `triangle_count` field
      Specified by:
        `setTriangleCount` in interface `SMFBv1_0HeaderWritableType`
      Parameters:
        `x` - The new value

    - #### metaTriangleIndexSizeBitsOffsetFromType

          public int metaTriangleIndexSizeBitsOffsetFromType()

      Specified by:
        `metaTriangleIndexSizeBitsOffsetFromType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `triangle_index_size_bits` field, from the start of the type

    - #### metaTriangleIndexSizeBitsStaticOffsetFromType

          public static int metaTriangleIndexSizeBitsStaticOffsetFromType()

      Returns:
        The offset in octets of field `triangle_index_size_bits` from the start of the type

    - #### metaTriangleIndexSizeBitsOffsetFromCursor

          public int metaTriangleIndexSizeBitsOffsetFromCursor()

      Specified by:
        `metaTriangleIndexSizeBitsOffsetFromCursor` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `triangle_index_size_bits` field, from the cursor

    - #### metaTriangleIndexSizeBitsType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaTriangleIndexSizeBitsType()

      Specified by:
        `metaTriangleIndexSizeBitsType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The type of the `triangle_index_size_bits` field

    - #### getTriangleIndexSizeBits

          public int getTriangleIndexSizeBits()

      Specified by:
        `getTriangleIndexSizeBits` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The value of the `triangle_index_size_bits` field

    - #### setTriangleIndexSizeBits

          public void setTriangleIndexSizeBits(int x)

      Description copied from interface: `SMFBv1_0HeaderWritableType`
      Set the value of the `triangle_index_size_bits` field
      Specified by:
        `setTriangleIndexSizeBits` in interface `SMFBv1_0HeaderWritableType`
      Parameters:
        `x` - The new value

    - #### metaAttributeCountOffsetFromType

          public int metaAttributeCountOffsetFromType()

      Specified by:
        `metaAttributeCountOffsetFromType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `attribute_count` field, from the start of the type

    - #### metaAttributeCountStaticOffsetFromType

          public static int metaAttributeCountStaticOffsetFromType()

      Returns:
        The offset in octets of field `attribute_count` from the start of the type

    - #### metaAttributeCountOffsetFromCursor

          public int metaAttributeCountOffsetFromCursor()

      Specified by:
        `metaAttributeCountOffsetFromCursor` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `attribute_count` field, from the cursor

    - #### metaAttributeCountType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaAttributeCountType()

      Specified by:
        `metaAttributeCountType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The type of the `attribute_count` field

    - #### getAttributeCount

          public int getAttributeCount()

      Specified by:
        `getAttributeCount` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The value of the `attribute_count` field

    - #### setAttributeCount

          public void setAttributeCount(int x)

      Description copied from interface: `SMFBv1_0HeaderWritableType`
      Set the value of the `attribute_count` field
      Specified by:
        `setAttributeCount` in interface `SMFBv1_0HeaderWritableType`
      Parameters:
        `x` - The new value

    - #### metaCoordinateSystemOffsetFromType

          public int metaCoordinateSystemOffsetFromType()

      Specified by:
        `metaCoordinateSystemOffsetFromType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `coordinate_system` field, from the start of the type

    - #### metaCoordinateSystemStaticOffsetFromType

          public static int metaCoordinateSystemStaticOffsetFromType()

      Returns:
        The offset in octets of field `coordinate_system` from the start of the type

    - #### metaCoordinateSystemOffsetFromCursor

          public int metaCoordinateSystemOffsetFromCursor()

      Specified by:
        `metaCoordinateSystemOffsetFromCursor` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The offset in octets of the `coordinate_system` field, from the cursor

    - #### metaCoordinateSystemType

          public com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined metaCoordinateSystemType()

      Specified by:
        `metaCoordinateSystemType` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        The type of the `coordinate_system` field

    - #### getCoordinateSystemReadable

          public SMFBv1CoordinateSystemsReadableType getCoordinateSystemReadable()

      Specified by:
        `getCoordinateSystemReadable` in interface `SMFBv1_0HeaderReadableType`
      Returns:
        Read-only access to the `coordinate_system` field

    - #### getCoordinateSystemWritable

          public SMFBv1CoordinateSystemsType getCoordinateSystemWritable()

      Specified by:
        `getCoordinateSystemWritable` in interface `SMFBv1_0HeaderWritableType`
      Returns:
        Writable access to the `coordinate_system` field

Copyright © 2017 <code@io7m.com> http://io7m.com